AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

Public Types | Public Member Functions | List of all members
AMPS::FIXShredder Class Reference

Class for parsing a FIX format message into a `std::map` of keys and values, where the keys and values are represented by AMPS::Field objects. More...

`#include <ampsplusplus.hpp>`

## Public Types
typedef std::map< Message::Field, Message::Field > | map_type
| Convenience defintion for the `std::map` specialization used for this class.

## Public Member Functions
| FIXShredder (char fieldSep_=(char) 1)
| Construct an instance of FIXShredder using the specified value as the delimiter between fields. More...
map_type | toMap (const Message::Field &data)
| Returns the key/value pairs within the message, represented as AMPS::Field objects that contain pointers into the original message. More...

## Detailed Description

Class for parsing a FIX format message into a `std::map` of keys and values, where the keys and values are represented by AMPS::Field objects.

This class does not validate the contents of a message, nor does it require any particular format for the keys that it parses. This class is designed for efficiency, so the AMPS::Field objects returned contain pointers to the original parsed message rather than copies.

## Constructor & Destructor Documentation

## ◆ FIXShredder()

AMPS::FIXShredder::FIXShredder | ( | char | fieldSep_ = `(char)1` | ) |
| inline

Construct an instance of FIXShredder using the specified value as the delimiter between fields.

Parameters

  fieldSep_ | the field delimiter (defaults to 0x01)

## Member Function Documentation

## ◆ toMap()

map_type AMPS::FIXShredder::toMap | ( | const Message::Field & | data | ) |
| inline

Returns the key/value pairs within the message, represented as AMPS::Field objects that contain pointers into the original message.

Parameters

  data | the data to shred into a map

The documentation for this class was generated from the following file:

- include/amps/ampsplusplus.hpp